Add package build and check functionality to ctools

02/23/2017 04:14 PM - Knödlseder Jürgen

Status: Closed Start date: 02/28/2017

Priority: Urgent Due date: 03/23/2017

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

To implement also automatic deployment, a package build and check functionality should be added to ctools. Ultimately,

make pkg

should create a package for the native Operating System, and

make pkgcheck

should check the validity of the package.

Subtasks:

Action # 1935: Integrate centos_packaging branch Pull request

Action # 1949: Sign packages Closed

History

#1 - 02/23/2017 04:18 PM - Knödlseder Jürgen

I added the targets pkg and pkgcheck to the Makefile.am and added some code that detects the host OS and dispatches to dedicated scripts.

So far, the script dev/pkgbuild-macosx.sh exists that builds package for Mac OS X. The package includes also libraries that are required (i.e. ncurses,

readline, cfitsio, gammalib). It downloads the libraries from their native locations. For GammaLib, it first tries to download the source tarball with the

same version number as the actual code. If this tarball does not exist it will clone the code from GitLab, and tries to checkout the release branch. If

this branch does not exist is will use the devel branch. This allows to include the script in a release process, and also in a CI process.

The logic for the ctools source code is similar: first the script tries to download the source tarball, if it does not exist if will clone the code from GitLab

and use the same branch that was used for GammaLib.

#2 - 02/24/2017 02:49 PM - Knödlseder Jürgen

- % Done changed from 0 to 10

Mac OS X scripts for package generation and validation are working

#3 - 02/25/2017 12:59 PM - Knödlseder Jürgen

- % Done changed from 10 to 20

I tested the cross installation of a package built on Mac OS X version "a" on a Mac OS X version "b" system. Here the results:

Built on => 10.7 10.8 10.9 10.10 10.11
Installed on 10.7 ok error error error error

Installed on 10.8 ok ok error error error

Installed on 10.9 ok ok ok ok ok

Installed on 10.10 ok ok ok ok ok

Installed on 10.11 ok ok ok ok ok

A package built on Mac OS X 10.7 works on Mac OS X 10.7 - 10.11. I still need to test whether it also works on Mac OS X 10.12.

#5 - 03/03/2017 10:38 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#6 - 06/07/2017 05:47 PM - Knödlseder Jürgen

- Target version changed from 1.3.0 to 1.4.0

#7 - 08/01/2017 09:53 AM - Knödlseder Jürgen

- Target version changed from 1.4.0 to 1.5.0

#8 - 01/23/2018 12:12 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed
